/*-------------------------------------------------------------------
   The BTIndex class provides an implementation of the BTree index
   data structure.

   !!!! You need to fill in the blanks !!!

   $Id: BTIndex.java,v 1.1.1.1 2005/09/26 08:19:41 stijn Exp $
 -------------------------------------------------------------------*/

import be.ulb.db.*;
import be.ulb.db.buffermanager.*;
import be.ulb.db.diskmanager.*;
import be.ulb.db.index.*;
import be.ulb.db.schema.*;

public class BTIndex extends Index
{
    /* Creates a new BT index */
    public BTIndex(Schema keySchema, BufferManager bm)
    {
	super(keySchema, bm);
    }

    /** Load the index which starts at address addr.  */
    public BTIndex(Schema keySchema, BufferManager bm, BlockAddress addr)
    {
	super(keySchema, bm);
    }

    /** destroy the index - free all blocks belonging to the index */
    public void destroy()
    {
	
    }

    /* Close the index and release all resources. (i.e. Unpin all
     * buffers and close all open iterators if any) */ 
    public void close()
    {
	
    }
    
    /** returns the blockaddress from which the index can be loaded
     * next time. This address has to be fixed over time! (the root of
     * the BTree will not do, as this can change!) */
    public BlockAddress getBlockAddress()
    {
	return null;
    }
    
    /** Add RecordAddress addr to the BTree, knowing that the record
     * at addr equals keyvalue on its attributes in keySchema.  */
    public void addRecord(Record keyvalue, RecordAddress addr)
	throws SchemaException 
    {
	super.addRecord(keyvalue, addr);
	
    }
    
    /** Search in the index for RecordAddresses whose corresponding
     *  records equal keyvalue in their keySchema attributes.  The
     *  recordIterator should return records of type keySchema */
    public RecordAddressIterator findRecord(Record keyvalue)
	throws SchemaException 	
    {
	super.findRecord(keyvalue);

	return null;
    }
    
    /** Delete the record at addr, whose Key value is keyvalue. */
    public void removeRecord(Record keyvalue, RecordAddress addr)
	throws SchemaException 
    {
	super.removeRecord(keyvalue, addr);
    }

}
