/*-------------------------------------------------------------------
   Authors: 2003: Stijn Vansummeren

   The BTIndexFactory class provides capabilities to create a new
   BTIndex.

   $Id: BTIndexFactory.java,v 1.1.1.1 2005/09/26 08:19:41 stijn Exp $
  -------------------------------------------------------------------*/
import java.nio.*;

import be.ulb.db.*;
import be.ulb.db.buffermanager.*;
import be.ulb.db.diskmanager.*;
import be.ulb.db.index.*;
import be.ulb.db.schema.*;

public class BTIndexFactory extends IndexFactory
{
    public Index create(Schema keyschema, BufferManager bm )
    {
	return new BTIndex(keyschema, bm);
    }
}

