
import java.io.*;
import java.util.*;

import java.nio.*;

import be.ulb.db.*;
import be.ulb.db.buffermanager.*;
import be.ulb.db.catalog.*;
import be.ulb.db.diskmanager.*;
import be.ulb.db.file.*;
import be.ulb.db.index.*;
import be.ulb.db.schema.*;

public class TestRecord {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		try {
			String[] names = { "A" };
			AttributeType[] types = { new AttributeTypeInt() };

			Schema schema = new Schema(names, types);
			Record value = new Record(schema);
			value.putInt(0, 129);
			ByteBuffer buff = value.getByteBuffer();
			buff.position(0);
			buff.limit(buff.capacity());
			byte [] dest = new byte[buff.capacity()];
			buff.get(dest);
			
			System.out.print(dest[0]);
			System.out.print(" ");
			System.out.print(dest[1]);
			System.out.print(" ");
			System.out.print(dest[2]);
			System.out.print(" ");
			System.out.print(dest[3]);
			System.out.println("Hello world");

		} catch (Exception e) {
			System.out.println("Exception caught!");
			e.printStackTrace();
		}
	}
}
